## Apache Zeta Components Manual :: Docs For Class ezcBasePropertyPermissionException

### Base::ezcBasePropertyPermissionException

### Class ezcBasePropertyPermissionException

ezcBasePropertyPermissionException is thrown whenever a read-only property is tried to be changed, or when a write-only property was accessed for reading.

Source for this file: /Base/src/exceptions/property_permission.php

    Exception
       |
       --ezcBaseException
          |
          --ezcBasePropertyPermissionException

Version: | //autogen//

### Constants

`READ = 1` | Used when the property is read-only.
`WRITE = 2` | Used when the property is write-only.

### Inherited Member Variables

From ezcBaseException
public | `ezcBaseException::$originalMessage`

### Method Summary

public ezcBasePropertyPermissionException | `__construct( $name , $mode )` Constructs a new ezcPropertyPermissionException for the property $name.

### Inherited Methods

From ezcBaseException
public ezcBaseException | `ezcBaseException::__construct()` Constructs a new ezcBaseException with $message

### Methods

#### __construct

ezcBasePropertyPermissionException __construct( string $name , int $mode )

Constructs a new ezcPropertyPermissionException for the property $name.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$name` | string | The name of the property.
`$mode` | int | The mode of the property that is allowed (::READ or ::WRITE).

##### Redefinition of:

Method | Description
--- | ---
`ezcBaseException::__construct()` | Constructs a new ezcBaseException with $message

Documentation generated by phpDocumentor 1.4.3